MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003751ATutorThemepublic2009-05-21 07:292009-07-21 08:50
Reporterharris 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003751: default15 theme password reminder bug
DescriptionThanks Rury Galbraith, for the report.
Follow these steps to reproduce the bug:

1. They click on the "Forgot your password?" link at the login page
2. They get an email with a link in it then click on the link
3. They are then prompted to enter a new password - you can enter
anything here (no letters, numbers and symbols and less than 8
characters) and it will accept it without showing a warning message.
4. They get an email confirming that their password has been changed
successfully.
5. When they go to log in using their new password, they get an error
message."
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files? file icon password_change.tmpl.php [^] (2,382 bytes) 2009-05-21 07:30

- Relationships

-  Notes
(0003526)
harris (developer)
2009-05-21 07:33

This is a theme problem on the default15/password_change.tmpl.php file. It does not have the extra token fields to handle the new security feature from 161. Causing the database to save all passwords to an empty string.

Replace the attached file into the default15/ theme folder and it will fix the problem.
(0003527)
harris (developer)
2009-05-21 07:35

fix: added all token fields back


8479

- Issue History
Date Modified Username Field Change
2009-05-21 07:29 harris New Issue
2009-05-21 07:29 harris Affects version => SVN
2009-05-21 07:29 harris Status new => assigned
2009-05-21 07:29 harris Assigned To => harris
2009-05-21 07:30 harris File Added: password_change.tmpl.php
2009-05-21 07:33 harris Note Added: 0003526
2009-05-21 07:35 harris Status assigned => resolved
2009-05-21 07:35 harris Resolution open => fixed
2009-05-21 07:35 harris Note Added: 0003527
2009-06-12 09:31 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version => 1.6.3
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker